SSL_get_ciphers(3) | OpenSSL | SSL_get_ciphers(3)

# NAME

SSL_get_ciphers, SSL_get_cipher_list - get list of available SSL_CIPHERs

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/ssl.h>
STACK_OF(SSL_CIPHER) *SSL_get_ciphers(const SSL *ssl);
const char *SSL_get_cipher_list(const SSL *ssl, int priority);

# DESCRIPTION

SSL_get_ciphers() returns the stack of available SSL_CIPHERs for ssl, sorted by preference. If ssl is NULL or no ciphers are available, NULL is returned.

SSL_get_cipher_list() returns a pointer to the name of the SSL_CIPHER listed for ssl with priority. If ssl is NULL, no ciphers are available, or there are less ciphers than priority available, NULL is returned.

# NOTES

The details of the ciphers obtained by SSL_get_ciphers() can be obtained using the SSL_CIPHER_get_name(3) family of functions.

Call SSL_get_cipher_list() with priority starting from 0 to obtain the sorted list of available ciphers, until NULL is returned.

# RETURN VALUES

See DESCRIPTION

# SEE ALSO

ssl(3), SSL_CTX_set_cipher_list(3), SSL_CIPHER_get_name(3)

2009-07-19 | 1.0.1u